Subject: bug#68727: 30.0.50; package-upgrade-all fails

From: Philip Kaludercic <[email-masked]>
Date: Fri, 26 Jan 2024 08:45:23 +0000

Richard Stallman <[email-masked]> writes:

> I pulled from master on Jan 3.  I don't think I changed any files
> except rmailsum.el (a change which I then installed on savannah).
>
> M-x package-upgrade-all got this error.
>

Can you reliably reproduce this problem; that is to day are you sure
that this is not a temporary network issue?  The issue basically boils
down to the apparent inability to fetch and update the archive index.

> Debugger entered--Lisp error: (file-error "http://elpa.gnu.org/packages/archive-contents" "Not implemented")
>   signal(file-error ("http://elpa.gnu.org/packages/archive-contents" "Not implemented"))
>   package--with-response-buffer-1("http://elpa.gnu.org/packages/" #f(compiled-function () #<bytecode 0x10f9e89ff15533c5>) :file "archive-contents" :async nil :error-function #f(compiled-function () #<bytecode 0x25e331dd4def6df>) :noerror nil)
>   package--download-one-archive(("gnu" . "http://elpa.gnu.org/packages/") "archive-contents" nil)
>   package--download-and-read-archives(nil)
>   run-hook-with-args(package--download-and-read-archives nil)
>   package-refresh-contents()
>   package-upgrade-all(t)
>   funcall-interactively(package-upgrade-all t)
>   call-interactively(package-upgrade-all record nil)
>   command-execute(package-upgrade-all record)
>   execute-extended-command(nil "package-upgrade-all" "package-upgrade-all")
>   funcall-interactively(execute-extended-command nil "package-upgrade-all" "package-upgrade-all")
>   call-interactively(execute-extended-command nil nil)
>   command-execute(execute-extended-command)
>
>
>
> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>  2.24.32, cairo version 1.16.0) of 2024-01-02 built on freetop
> Repository revision: 1c369263db826a02e01d4209c7b6b8617971c37c
> Repository branch: master
> System Description: Trisquel GNU/Linux Aramo (11.0)
>
> Configured using:
>  'configure 'CFLAGS=-O0 -g' --with-gnutls=ifavailable'
>
> Configured features:
> CAIRO DBUS FREETYPE GIF GLIB GPM GSETTINGS HARFBUZZ JPEG JSON LIBOTF
> LIBSELINUX LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
> SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2
> XPM GTK2 ZLIB
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Debugger
>
> Minor modes in effect:
>   gpm-mouse-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   minibuffer-regexp-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: linux
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   abbrev-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow emacsbug add-log vc network-stream url-cache url-http url-auth
> url-gw nsm rect display-line-numbers etags fileloop generator xref
> format-spec battery dbus unrmail pcase project parse-time iso8601
> vc-cvs vc-rcs log-view pcvs-util mhtml-mode css-mode eww xdg url-queue
> mm-url gnus nnheader range wid-edit color js c-ts-common imenu cc-mode
> cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
> cc-vars cc-defs sgml-mode facemenu compare-w novice conf-mode
> pcmpl-unix cus-start cus-load vc-git diff-mode easy-mmode
> vc-dispatcher bug-reference warnings icons debug backtrace cl-print
> find-func cl-extra shortdoc comp-common help-fns radix-tree sh-script
> rx smie treesit executable ispell quail help-mode rmailkwd dabbrev
> misearch multi-isearch mule-util cal-move cal-menu calendar
> cal-loaddefs textsec uni-scripts idna-mapping ucs-normalize
> uni-confusable textsec-check shr pixel-fill kinsoku url-file svg xml
> dom qp rmailout epa-mail mailalias shell pcomplete thingatpt grep
> compile comint ansi-osc ansi-color ring rmailmm message sendmail
> yank-media puny rfc822 mml mml-sec epa epg epg-config gnus-util
> text-property-search time-date mm-decode mm-bodies mm-encode
> mailabbrev gmm-utils mailheader mail-parse rfc2231 files-x dired-aux
> dired dired-loaddefs t-mouse term/linux view derived disp-table advice
> rmailsum rmail rfc6068 rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
> mail-utils finder-inf osm-autoloads info compat-autoloads package
> browse-url url url-proxy url-privacy url-expand url-methods
> url-history url-cookie generate-lisp-file url-domsuf url-util mailcap
> url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
> password-cache json subr-x map byte-opt gv bytecomp byte-compile
> url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv eldoc paren
> electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode
> mwheel term/x-win x-win term/common-win x-dnd touch-screen tool-bar
> dnd fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode lisp-mode prog-mode register page tab-bar menu-bar
> rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
> font-lock syntax font-core term/tty-colors frame minibuffer nadvice
> seq simple cl-generic indonesian philippine cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese
> eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese composite emoji-zwj charscript charprop
> case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
> cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
> files window text-properties overlay sha1 md5 base64 format env
> code-pages mule custom widget keymap hashtable-print-readable
> backquote threads dbusbind inotify dynamic-setting system-font-setting
> font-render-setting cairo gtk x-toolkit xinput2 x multi-tty
> move-toolbar make-network-process emacs)
>
> Memory information:
> ((conses 16 1014461 123788) (symbols 48 21765 24)
>  (strings 32 132745 15838) (string-bytes 1 3041173) (vectors 16 76219)
>  (vector-slots 8 1741408 147761) (floats 8 248 574)
>  (intervals 56 102603 1090) (buffers 976 105))
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]